## Class TDataGatewayEventParameter

Description

TDataGatewayEventParameter class contains the TDbCommand to be executed as well as the criteria object.

- since: 3.1
- version: $Id$
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/DataGateway/TDataGatewayCommand.php (line 464)

    TComponent
       |
       --TEventParameter
          |
          --TDataGatewayEventParameter

Method Summary
TDataGatewayEventParameter __construct (mixed $command, mixed $criteria)
TDbCommand getCommand ()
TSqlCriteria getCriteria ()
Methods
Constructor __construct (line 469)

- access: public

TDataGatewayEventParameter __construct (mixed $command, mixed $criteria)
getCommand (line 480)

The database command to be executed. Do not rebind the parameters or change the sql query string.

- return: command to be executed.
- access: public

TDbCommand getCommand ()
getCriteria (line 488)

- return: criteria used to bind the sql query parameters.
- access: public

TSqlCriteria getCriteria ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:22 -0400 by phpDocumentor 1.3.0RC4